Skip to main content
POST
/
preview
/
retail-media
/
accounts
/
{account-id}
/
line-items
/
cap-out-history
/preview/retail-media/accounts/{account-id}/line-items/cap-out-history
curl --request POST \
  --url https://api.criteo.com/preview/retail-media/accounts/{account-id}/line-items/cap-out-history \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "lineItemBudgetCapOutHistories": [
        {
          "capoutTimes": {
            "daily": [
              "2023-11-07T05:31:56Z"
            ],
            "hourly": [
              "2023-11-07T05:31:56Z"
            ],
            "monthly": [
              "2023-11-07T05:31:56Z"
            ],
            "total": [
              "2023-11-07T05:31:56Z"
            ]
          },
          "lineItemId": "<string>"
        }
      ]
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

account-id
string
required

account id that own the lineitem

Body

application/json

lineitem budgetcapout history object

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for a single value object.

data
object | null

A value resource exposed by the API.

errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.